@echo off
if /i "%processor_architecture%"=="AMD64" got amd64
if /i "%PROCESSOR_ARCHITEW6432%"=="AMD64" goto amd64
if /i "%processor_architecture%"=="x86" goto i386

:amd64
cd amd64
goto install

:i386
cd i386
goto install

:install
echo WARNING: this script will delete ALL TAP virtual adapters (use Device Manager to delete individual adapters)
tapinstall remove tap0901
pause